Ubuntu

FFE: libmessaging-menu transitions for quantal

Reported by Sebastien Bacher on 2012-08-22
634
This bug affects 184 people
Affects Status Importance Assigned to Milestone
Gmail Watcher
Undecided
Owais Lone
Lightread
Medium
Unassigned
Quassel
New
Undecided
Unassigned
skype-wrapper
High
Christian Rupp
evolution-indicator (Ubuntu)
High
Unassigned
gm-notify (Ubuntu)
Medium
Unassigned
Quantal
Medium
Unassigned
guayadeque (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
gwibber (Ubuntu)
High
Ken VanDine
Quantal
High
Ken VanDine
indicator-messages (Ubuntu)
High
Unassigned
Quantal
High
Unassigned
kdenetwork (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
kdepim (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
libdbusmenu-qt (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
libunity-webapps (Ubuntu)
High
Lars Uebernickel
Quantal
High
Lars Uebernickel
liferea (Ubuntu)
Medium
Unassigned
Quantal
Medium
Unassigned
openfetion (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
pidgin (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
pidgin-libnotify (Ubuntu)
Medium
Unassigned
Quantal
Medium
Unassigned
quassel (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
smuxi (Ubuntu)
High
Mirco Bauer
Quantal
High
Mirco Bauer
telepathy-indicator (Ubuntu)
High
Lars Uebernickel
Quantal
High
Lars Uebernickel
thunderbird (Ubuntu)
High
Unassigned
Quantal
High
Unassigned
unity-mail (Ubuntu)
High
Dmitry Shachnev
Quantal
High
Dmitry Shachnev
xchat-indicator (Ubuntu)
Low
Unassigned
Quantal
Low
Unassigned

Bug Description

indicator-messages got updated, introducing a new libmessaging-menu api (deprecating the old libindicate library) which should make application developper's life easier.

The indicator work is done and the library is ready and we started porting applications

The current stack is being tested in https://launchpad.net/~ubuntu-desktop/+archive/ppa/

It includes
- indicator-messages
- gwibber
- indicator-telepathy
- thunderbird (soon, work is being finished)

which is what we consider the minimal set for landing the feature

for quantal we will add those soon:
- pidgin
- xchat-indicator
- evolution-indicator

Sebastien Bacher (seb128) wrote :

There is a small example on how to use the api as well

Changed in indicator-messages (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
Changed in telepathy-indicator (Ubuntu):
importance: Undecided → High
assignee: nobody → Lars Uebernickel (larsu)
status: New → In Progress
Changed in thunderbird (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in gwibber (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
status: New → Triaged
affects: xchat-gnome (Ubuntu) → xchat-indicator (Ubuntu)
Changed in xchat-indicator (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in evolution-indicator (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
importance: Undecided → High
status: New → Triaged
Changed in libunity-webapps (Ubuntu):
importance: Undecided → High
Lars Uebernickel (larsu) on 2012-08-23
Changed in gwibber (Ubuntu):
status: Triaged → In Progress
Sebastien Bacher (seb128) wrote :

I've uploaded that gwibber patch and an update messaging indicator to the ppa, let's keep the good work! ;-)

Changed in thunderbird (Ubuntu):
status: Triaged → In Progress
Changed in gwibber (Ubuntu):
status: In Progress → Fix Committed
summary: - libmessaging-menu transitions for quantal
+ FFE: libmessaging-menu transitions for quantal
description: updated
Changed in thunderbird (Ubuntu):
status: In Progress → Fix Committed
Changed in telepathy-indicator (Ubuntu):
status: In Progress → Fix Committed
Changed in pidgin-libnotify (Ubuntu):
status: New → Triaged
importance: Undecided → High
milestone: none → ubuntu-12.10-beta-2
Changed in evolution-indicator (Ubuntu Quantal):
milestone: none → ubuntu-12.10-beta-1
Changed in liferea (Ubuntu Quantal):
importance: Undecided → High
milestone: none → ubuntu-12.10-beta-2
status: New → Triaged
Iain Lane (laney) wrote :

approved, upload away! (to -proposed)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.5.4-0ubuntu1

---------------
gwibber (3.5.4-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
    - ported from libindicate to libmessaging-menu (LP: #1040259)
  * debian/control
    - changed gir1.2-indicate-0.7 depends to gir1.2-messagingmenu-1.0
 -- Ken VanDine <email address hidden> Mon, 27 Aug 2012 13:14:35 -0400

Changed in gwibber (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package telepathy-indicator - 0.3.0-0ubuntu1

---------------
telepathy-indicator (0.3.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - ported from libindicate to libmessaging-menu (LP: #1040259)
    - added status control (LP: #1005936)
  * debian/control
    - changed build depends from libindicate-dev to libmessaging-menu-dev
    - use latest standards version
 -- Ken VanDine <email address hidden> Mon, 27 Aug 2012 13:13:36 -0400

Changed in telepathy-indicator (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 15.0+build1-0ubuntu1

---------------
thunderbird (15.0+build1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream stable release (THUNDERBIRD_15_0_BUILD1)

  [ Chris Coulson <email address hidden> ]
  * Update globalmenu-extension to 3.4.1
  * Update messagingmenu-extension to 1.0 prerelease r136
    - Add support for libmessaging-menu (thanks Lars Uebernickel)
      LP: #1040259
    - Properly disconnect from gobject signals. Even though our signal
      handlers are implicitly disconnected when we drop the last reference
      to objects that we own, we actually leak the ctypes function object
      if we don't explicitly disconnect, due to the way that they are
      implemented

  [ Lars Uebernickel <email address hidden> ]
  * Make "Contacts" and "Compose" actions show up in the messaging menu
    - update debian/thunderbird.desktop.in
 -- Chris Coulson <email address hidden> Fri, 24 Aug 2012 22:44:09 +0100

Changed in thunderbird (Ubuntu Quantal):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

xchat-indicator (0.3.11-0ubuntu2) quantal-proposed; urgency=low

  * debian/control:
    - use libmessaging-menu rather than libindicate
  * debian/patches/libmessaging.patch:
    - use libmessaging
  * debian/rules:
    - don't use a multiarch libdir, xchat is not multiarched
  * Updated the packaging to the current standards (dh9)

Changed in xchat-indicator (Ubuntu Quantal):
status: Triaged → Fix Released
Sebastien Bacher (seb128) wrote :

indicator-messages (12.10.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream version
  * debian/control:
    - breaks on version of ported clients using libindicate
    - set some conflicts on the old deprecated status provider binaries
    - updated Build-Depends
  * debian/control, debian/*.install:
    - drop indicator-status-provider-*, those are deprecated
    - new binaries for the libmessaging-menu library
  * debian/libmessaging-menu0.symbols:
    - symbol file for the new library
  * Updated packaging to dh9, current standards
  * Drop gtk2 build from the packaging since support for it was
    dropped in trunk, thanks Lars Uebernickel

Changed in indicator-messages (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in unity-mail (Ubuntu Quantal):
assignee: nobody → Dmitry Shachnev (mitya57)
status: New → Confirmed
Iain Lane (laney) on 2012-08-29
Changed in libunity-webapps (Ubuntu Quantal):
milestone: none → ubuntu-12.10-beta-2
status: New → Triaged
Changed in unity-mail (Ubuntu Quantal):
importance: Undecided → High
milestone: none → ubuntu-12.10-beta-2
status: Confirmed → Triaged
Changed in libunity-webapps (Ubuntu Quantal):
assignee: nobody → Lars Uebernickel (larsu)
Changed in unity-mail (Ubuntu Quantal):
status: Triaged → In Progress
Daniel Holbach (dholbach) wrote :

Uploaded. Sitting in the review queue of the archive/release team: https://launchpad.net/ubuntu/quantal/+queue?queue_state=1&queue_text=unity-mail

Changed in unity-mail (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-mail - 1.2

---------------
unity-mail (1.2) quantal; urgency=low

  * New release (LP: #1045325)
    - Port to libmessaging-menu (LP: #1040259)
      + Add new Message class as a replacement for old message tuples
      + Move "Mark all as read" action to the launcher quicklist
      + Move some code from um-url to config.py
      + Call subprocess.Popen with shell=True
    - Properly convert non-ascii folder names to UTF-7 bytestrings
      (LP: #1043786)
  * Recommend gir1.2-messagingmenu-1.0
 -- Dmitry Shachnev <email address hidden> Mon, 03 Sep 2012 17:05:48 +0400

Changed in unity-mail (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in evolution-indicator (Ubuntu Quantal):
milestone: ubuntu-12.10-beta-1 → ubuntu-12.10-beta-2
Iain Lane (laney) on 2012-09-14
Changed in smuxi (Ubuntu Quantal):
importance: Undecided → High
status: New → Triaged
Changed in gm-notify (Ubuntu Quantal):
importance: Undecided → High
status: New → Triaged
Didier Roche (didrocks) wrote :

14:12:14 larsu | didrocks, the respective maintainers. Everybody added their project there. I'll do liferea, seb said he'll do pidgin

no longer affects: evolution-indicator (Ubuntu Quantal)
Changed in liferea (Ubuntu Quantal):
assignee: nobody → Lars Uebernickel (larsu)
Changed in pidgin-libnotify (Ubuntu Quantal):
assignee: nobody → Sebastien Bacher (seb128)
milestone: ubuntu-12.10-beta-2 → ubuntu-12.10
Didier Roche (didrocks) wrote :

removing the quantal task for evolution-indicator: it's removed from quantal for now.

Changed in evolution-indicator (Ubuntu):
milestone: ubuntu-12.10-beta-2 → none
Didier Roche (didrocks) on 2012-09-20
Changed in liferea (Ubuntu Quantal):
importance: High → Medium
Changed in pidgin-libnotify (Ubuntu Quantal):
importance: High → Medium
Changed in gm-notify (Ubuntu Quantal):
importance: High → Medium
Changed in libunity-webapps (Ubuntu Quantal):
status: Triaged → Fix Released
Christian Rupp (grissi) on 2012-10-03
Changed in skype-wrapper:
assignee: nobody → Christian Rupp (grissi)
importance: Undecided → High
status: New → In Progress
Mirco Bauer (meebey) wrote :

Porting Smuxi to gir1.2-messagingmenu-1.0

Changed in smuxi (Ubuntu Quantal):
assignee: nobody → Mirco Bauer (meebey)
status: Triaged → In Progress

I have a problem in 12.10 Thunderbird does not show new messages in indicator-messages, only for the first mailbox (I have 5 of them in my Thunderbird).
I reported it in this bug report: https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1062746

Greg A (etulfetulf) wrote :

Is there documentation for the new API?

@Greg: there are some HTML files in libmessaging-menu-dev package
(installed to /usr/share/gtk-doc/html/messaging-menu/ directory).

On Wed, Oct 10, 2012 at 6:38 PM, Greg Auger <email address hidden> wrote:
> Is there documentation for the new API?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040259
>
> Title:
> FFE: libmessaging-menu transitions for quantal
>
> Status in Skype-wrapper:
> In Progress
> Status in “evolution-indicator” package in Ubuntu:
> Triaged
> Status in “gm-notify” package in Ubuntu:
> Triaged
> Status in “gwibber” package in Ubuntu:
> Fix Released
> Status in “indicator-messages” package in Ubuntu:
> Fix Released
> Status in “libunity-webapps” package in Ubuntu:
> Fix Released
> Status in “liferea” package in Ubuntu:
> Triaged
> Status in “pidgin-libnotify” package in Ubuntu:
> Triaged
> Status in “smuxi” package in Ubuntu:
> In Progress
> Status in “telepathy-indicator” package in Ubuntu:
> Fix Released
> Status in “thunderbird” package in Ubuntu:
> Fix Released
> Status in “unity-mail” package in Ubuntu:
> Fix Released
> Status in “xchat-indicator” package in Ubuntu:
> Fix Released
> Status in “gm-notify” source package in Quantal:
> Triaged
> Status in “gwibber” source package in Quantal:
> Fix Released
> Status in “indicator-messages” source package in Quantal:
> Fix Released
> Status in “libunity-webapps” source package in Quantal:
> Fix Released
> Status in “liferea” source package in Quantal:
> Triaged
> Status in “pidgin-libnotify” source package in Quantal:
> Triaged
> Status in “smuxi” source package in Quantal:
> In Progress
> Status in “telepathy-indicator” source package in Quantal:
> Fix Released
> Status in “thunderbird” source package in Quantal:
> Fix Released
> Status in “unity-mail” source package in Quantal:
> Fix Released
> Status in “xchat-indicator” source package in Quantal:
> Fix Released
>
> Bug description:
> indicator-messages got updated, introducing a new libmessaging-menu
> api (deprecating the old libindicate library) which should make
> application developper's life easier.
>
> The indicator work is done and the library is ready and we started
> porting applications
>
> The current stack is being tested in https://launchpad.net/~ubuntu-
> desktop/+archive/ppa/
>
> It includes
> - indicator-messages
> - gwibber
> - indicator-telepathy
> - thunderbird (soon, work is being finished)
>
> which is what we consider the minimal set for landing the feature
>
> for quantal we will add those soon:
> - pidgin
> - xchat-indicator
> - evolution-indicator
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/skype-wrapper/+bug/1040259/+subscriptions

Christian Rupp (grissi) wrote :

and there is a tutorial somewhere in an irc-log sorry don't have the link but a slightely modified version of it here

Scott Kitterman (kitterman) wrote :

There don't appear to be any outstanding FFe requests here, so I'm unsubscribing the release team.

Mirco Bauer (meebey) wrote :

Smuxi 0.8.10.1200-1ubuntu1 uses the new libmessaging-menu library and waits for upload and approval:
http://anonscm.debian.org/gitweb/?p=pkg-cli-apps/packages/smuxi.git;a=shortlog;h=refs/heads/quantal

Changed in smuxi (Ubuntu Quantal):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package smuxi - 0.8.10.12100-1ubuntu1

---------------
smuxi (0.8.10.12100-1ubuntu1) quantal; urgency=low

  * [f3ddd8d] Imported Upstream version 0.8.10.12100
  * [57b90c6] Replaced libindicate0.1-cil-dev build-dep with
              libmessaging-menu-dev
  * [f4c7717] Let the configure script decide to use indicate-sharp,
              messagingmenu-sharp or none
  * [046df22] Added messagingmenu-sharp and gio-sharp private libraries to
              smuxi-frontend-gnome package

  * New upstream bugfix release 0.8.10.1, changes since 0.8.10:
    + smuxi-server now honors the timezone of tweets
    + Fixed a connection crash with InspIRCd-2.0 servers
    + Quick join no longer opens another network tab
    + Closing chats no longer crashes Smuxi sometimes
    + /connect irc.some-server.com works again
    + Focusing the message area moves the focus back to the entry again
    + Fixed showing URLs in find group chat dialog
    + Updated Portuguese translation
  * New upstream bugfix release 0.8.10.12100, changes since 0.8.10.1:
    + Build no longer fails because of undefined "BUNDLE_NINI" conditional
    + Icons in notifications are now passed as file path instead of blob to
      avoid serious performance issues with the gnome-shell.
      (see GNOME bug #683829)
    + Implemented libmessaging-menu support by using the new
      messagingmenu-sharp binding that is shipped with Smuxi.
      (LP: #1040259)
 -- Mirco Bauer <email address hidden> Wed, 10 Oct 2012 23:08:08 +0200

Changed in smuxi (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in pidgin-libnotify (Ubuntu Quantal):
assignee: Sebastien Bacher (seb128) → nobody
milestone: ubuntu-12.10 → quantal-updates
Changed in liferea (Ubuntu Quantal):
assignee: Lars Uebernickel (larsu) → nobody
milestone: ubuntu-12.10-beta-2 → quantal-updates
Changed in evolution-indicator (Ubuntu):
assignee: Mathieu Trudel-Lapierre (mathieu-tl) → nobody
Ben Gamari (bgamari) wrote :

Does libmessaging-menu have Python bindings yet?

Lars Uebernickel (larsu) wrote :

Yes, it always did have them through gobject-introspection. For example, gwibber uses the python bindings.

Adam Conrad (adconrad) wrote :

Looks like this update never happened for Pidgin. Was someone still looking at that? :/

Alan Bell (alanbell) wrote :

is this bug the reason that gm-notify does not populate the messaging menu?

@alanbell - Yup. Unfortunately, gm-notify is still using pygtk and the new library is only availiable through gobject introspection. So it seems that the entire project will need to be port to gi. It's not particularly big or complex, but upstream isn't active. I might try and port it myself if I find the time, but the changes will be too intrusive to be an SRU. It will have to come through backports.

--

I know Canonical doesn't have the resources to port everything in Universe that uses its APIs, but in the future it would be nice to at least file bugs for the rdepends before landing the change. Especially when the change lands so close (after?) feature freeze.

John Swing (john-swing) wrote :

Isn't gm-notify useless since you can now integrate gmail to the messaging menu using webapps ?

Jason Conti (jconti) wrote :

If it helps, I have partial pidgin support working (I'll attach a debdiff). It implements status changing and indicators for IM messages with buddies.

Ran into two bugs so far which kind of blocked my progress a bit:

Can't unload/reload plugin without a crash: https://bugs.launchpad.net/ubuntu/+source/indicator-messages/+bug/1065169
Can't use GdkPixbuf for icons even though they implement GIcon: https://bugzilla.gnome.org/show_bug.cgi?id=686201

The GdkPixbuf serialization code could probably be implemented in indicator-messages if upstream doesn't want it.

Doesn't have:
- Chat Support (should be similar to IM support but I've never used chats in pidgin)
- Buddy Icons because of the bug above
- Indicators for conversations that don't have buddies associated (not really sure how that works)
- Occasionally loses the first message (maybe related to the last item?)

Also a fair bit of debugging code which should probably be removed once the messaging-menu support is complete.

The attachment "pidgin-libnotify_partial_messaging_menu_support2.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
TQ (tjgq) wrote :

@John_Swing: not really, since the gmail unity webapp (and the associated messaging menu hook) is only active if you have gmail open in a firefox tab.

Sebastien Bacher (seb128) wrote :

@Andrew:

> I know Canonical doesn't have the resources to port everything in Universe that uses its APIs, but in the future it would be nice to at least file bugs for the rdepends before landing the change. Especially when the change lands so close (after?) feature freeze.

That's exactly what this bug is? The ticket was opened before feature freeze, at the time the new version was in a ppa for testing and to help porting and known rdepends have been added to this bug for tracking (sorry if we overlooked some, is that the issue?)

@Jason: thanks for the work, we plan to SRU the indicator-messages fixes, I will have a look to backport your gdk-pixbuf patch once it has been reviewed/approved by upstream as well

On Mon, Oct 22, 2012 at 6:12 AM, Sebastien Bacher <email address hidden> wrote:
>> I know Canonical doesn't have the resources to port everything in
>> Universe that uses its APIs, but in the future it would be nice to at
>> least file bugs for the rdepends before landing the change. Especially
>> when the change lands so close (after?) feature freeze.
>
> That's exactly what this bug is? The ticket was opened before feature
> freeze, at the time the new version was in a ppa for testing and to help
> porting and known rdepends have been added to this bug for tracking
> (sorry if we overlooked some, is that the issue?)

The gm-notify task was added by me after I noticed the breakage
already in the archive.

Sebastien Bacher (seb128) wrote :

Sorry about that, seems like we only looked at the lib rdepends and gm-notify depends only on python-indicate...

Chow Loong Jin (hyperair) wrote :

Here's a cleaner split of the monolithic libindicate.patch -- it looks like the split that Jason did wasn't clean -- there's some indicate stuff left behind in ubuntu_notify_support.patch and something to do with visibility manager that appears to be incomplete, resulting in Pidgin quitting after opening and closing the buddy list twice.

Chow Loong Jin (hyperair) wrote :

Er whoops, that was meant to be a tarball.

Chow Loong Jin (hyperair) wrote :
Jason Conti (jconti) wrote :

@Chow Loong Jin: Thanks for the patch, I'll take a look and see if I can clean up ubuntu_notify_support.patch a bit.

The problem with pidgin quitting after closing the buddy list is that I didn't include a call to pidgin_blist_visibility_manager_add () (there is some leftover cruft in ubuntu_notify_support.patch but since the boolean is always false it never gets called). Adding the call in plugin_load when creating the MessagingMenuApp, and removing it on plugin_unload seems to fix it. Sorry about that, I didn't notice since I have the status icon enabled.

Should I remove the blacklist stuff as well? That looks like the only extra code I left in ubuntu_notify_support.patch, but it seemed like it was used for notifications in addition to indicators.

Changed in pidgin-libnotify (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in pidgin-libnotify (Ubuntu Quantal):
assignee: nobody → Alberto Milone (albertomilone)
status: Triaged → In Progress
Dave Vree (hdave) wrote :

Lightread -- the new RSS reader needs to be added to the list here.

Shane Synan (digitalcircuit) wrote :

Gmail Watcher is also affected by this issue, so I added it to the list. If third-party projects should not be added to this bug report, let me know, and I can remove it.

Jason Conti (jconti) wrote :

Ported gm-notify at lp:~jconti/gm-notify/messaging-menu with a test build soon to be available at ppa:jconti/gnome3. Please let me know if anyone finds any serious regressions in functionality.

Owais Lone (loneowais) on 2012-10-26
Changed in gmailwatcher:
status: New → Triaged
assignee: nobody → Owais Lone (loneowais)

Please bring back support for evolution!

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pidgin (Ubuntu Quantal):
status: New → Confirmed
Changed in pidgin (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

(Unsubscribing sponsors, it doesn't seem there is anything in "ready to be sponsored" state there)

Is anyone still working on the pidgin patches? It would be good to see that resolved...

bwat47 (bwat47) wrote :

I'm going crazy with no pidgin support :(

I wish they didn't up and change the api so late in the cycle :/

Jason Conti (jconti) wrote :

Turned out that chat support was pretty straightforward to add, so I went ahead and finished the patch. Should have pretty much everything now, besides buddy icons, but note that the chat support is not extensively tested yet since I don't use that feature. I noticed that the pidgin-libnotify task is assigned, apologies if someone else is already working on this.

I also pushed the package to ppa:jconti/gnome3 for further testing. IM support should be pretty solid, I have been using it for a while now. Please let me know if anyone has any issues.

Oh, status support also requires a patch to the pidgin.desktop file that adds X-MessagingMenu-UsesChatSection=true.

emerson (emersonfisicaufs) wrote :

pidgin not intepidgin and other programs do this by integrating with message indicator

Jason Conti (jconti) wrote :

Seems that the further testing was needed. When adding chat support I had to change how attention was set and didn't notice that it was being set when the conversation was focused as well. Fixed in this patch. Didn't update the ppa with the changes.

Jason Conti (jconti) wrote :

Bah sorry everyone, I was reviewing the patch after the comment and I forgot a g_strfreev() on an error (that shouldn't ever happen but still).

KruyKaze (kruykaze) wrote :

@ Jason Conti , I used the patched packages from you PPA . Pidgin was fixed for me but not gm-notify .
Thank you.

Jason Conti (jconti) wrote :

@KruyKaze: Did you run gm-notify once first? You can search for it in the dash or run gm-notify from the command line. It needs to be run once to register with the messaging menu. (Unlike in previous versions where there was a file in /usr/share/indicators/messages/applications/ that would tell the messaging menu to add that app). Hope that helps. (If not, let me know, could be a bug I haven't experienced)

bwat47 (bwat47) wrote :

installed pidgin from jconti's ppa, messaging integration seems to work alright so far :) thanks!

@jconti Thanks for fixing pidgin!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin-libnotify - 0.14-9ubuntu1

---------------
pidgin-libnotify (0.14-9ubuntu1) raring; urgency=low

  * libmessaging-menu support (LP: #1040259)
  * debian/control:
    - drop indicate build-dep
    - add libmessaging-menu-dev
  * debian/patches/ubuntu_notify_support.patch:
    - Split out notify changes from messaging-menu changes (was combined
      in indicate.patch)
    - Merged libnotify-0.7.patch
  * debian/patches/messaging_menu.patch:
    - messaging-menu support.
 -- Jason Conti <email address hidden> Sun, 21 Oct 2012 15:17:58 -0400

Changed in pidgin-libnotify (Ubuntu):
status: Triaged → Fix Released

Will you update your PPA to the v3 patch? Will it get into quantal-updates at some point?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.10.6-0ubuntu3

---------------
pidgin (1:2.10.6-0ubuntu3) raring; urgency=low

  * debian/patches/xmessagingmenu.patch:
    - use X-MessagingMenu-UsesChatSection in the desktop entry (lp: #1040259)
 -- Sebastien Bacher <email address hidden> Fri, 16 Nov 2012 10:29:38 +0100

Changed in pidgin (Ubuntu):
status: Confirmed → Fix Released
liamdawe (liamdawe) wrote :

Please add the fix at least to your PPA and try to get it into QQ updates :)

caron (20100-caron) wrote :

@Jason Conti, thanks you, your patch for gm-notify is working for me !

Subin Hutton (djlynux) wrote :

When we can expect libmessaging pidgin fix in update?

Sebastien Bacher (seb128) wrote :

> When we can expect libmessaging pidgin fix in update?

Not before it gets testing and confirmation it works in raring

Brian Neltner (neltnerb) wrote :

The pidgin-libnotify modifications in the PPA work for me. I haven't done a lot of testing, but a very far cry from the horribly broken state it is in on the main branch. For one, I can finally close pidgin and have it running from the notification bar again.

Thank you very much for your work on this Jason! This was getting frustrating enough that I was about to downgrade back to 12.04 until this release was more stable, but your PPA works great!

Brian Neltner (neltnerb) wrote :

On the other hand, I still see nothing for evolution. I'm a bit confused about the status.

I see up on the main bar that it is reported as triaged, but down in the comments the best I can tell it has simply been removed entirely from support. Does triaged in this context mean that there are no plans to fix it but that it sort of works?

I don't want to start a discussion about the merits of evolution versus thunderbird or whatever, but let's just say that some of us are set in our ways and would rather not have to learn yet another email program. =/

OTOH, is there a way to install an applet that will accept messages from the old libnotify library? If the new API can't be made to work with evolution, I'd rather use an obsolete applet than have either no evolution integration or be forced to downgrade.

Sebastien Bacher (seb128) wrote :

evolution-indicator has been ported and is in the raring new queue: http://launchpadlibrarian.net/123439957/evolution-indicator_0.2.20-0ubuntu9_source.changes

Dominik Grafenhofer (dpjg) wrote :

@Sebastien Bacher: Will this be backported to quantal? Thanks

Sebastien Bacher (seb128) wrote :

> Will this be backported to quantal? Thanks

Once it's tested in raring and confirmed to work, yes

Brian Neltner (neltnerb) wrote :

Thanks for the update Sebastien! That's very good news for me to hear!

So, I have been using linux for a decade, but I have not been using Ubuntu nearly so long. What is the "correct" way to test the package from raring (I assume the next release name) in a mostly quantal system? Or would I need to upgrade entirely to test the new version of evolution-indicator?

The way I would have done this in the past is add the raring repository to my system, install evolution-indicator using apt-get so as to get any necessary raring dependencies, and then change my repositories back go quantal (without running a dist-upgrade for sure). Is this still a reasonable way to approach this way, or is there something more clever available?

Wonderful work! Now I am much more excited to see 13.04!

Sebastien Bacher (seb128) wrote :

> Is this still a reasonable way to approach this way, or is there something more clever available?

I would recommend against doing that, the easier is probably to take the source and rebuild it locally or throw it to a ppa targetted to quantal.

You might want to try to just download and dpkg -i the deb as well (once the package will be accepted and be built), with some luck it didn't picked any raring specific depends yet

TomasHnyk (sup) wrote :

I removed Empathy and installed Pidgin from Jason Conti's PPA and now the ability to set up status from the messaging menu has disappeared. Is that a problem with Pidgin integration or is that something else?

Sebastien Bacher (seb128) wrote :

you need to patch pidgin.desktop to list X-MessagingMenu-UsesChatSection=true

see the raring update: https://launchpadlibrarian.net/123185101/pidgin_1%3A2.10.6-0ubuntu2_1%3A2.10.6-0ubuntu3.diff.gz

Changed in pidgin-libnotify (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
Changed in pidgin-libnotify (Ubuntu Quantal):
assignee: Alberto Milone (albertomilone) → nobody
Shiki (shiki) wrote :

So when will we get the fix in Quantal? Never?

shiki,

That's a tricky question. As you can see the bug is in progress currently, but before being released it needs to be tested by the community and follow all the steps required to ensure that it really solves the problem. it depends on how easy is the bug to solve and how fast the fixer works. To be honest it doesn't look easy to deal with, so just be patient, it will arrive sooner or later.

enolive (enolive) wrote :

Thanks for the work on the libmessaging pidgin patch! Works for me. I get connect errors to facebook chat (XMPP account in pidgin), I'm not sure if it's due to the patch or some temporary facebook hiccups. I will look into this issue further.

enolive (enolive) wrote :

Update: the facebook XMPP account works again today. So I guess it were just hiccups.

bwat47 (bwat47) wrote :

Will a pidgin update with both the libnotify fixes and the patched .desktop file every be released for quantal? the ppa + the .desktop file change seems to work perfectly with no one reporting any issues with it so far...

Sebastien Bacher (seb128) wrote :

> Will a pidgin update with both the libnotify fixes and the patched .desktop file every be released for quantal?

thanks for the reminder, with the end of year holidays and everybody being busy after that some things got delayed, I will try to have a look to that backport next week, if somebody else wants to help and get a debdiff up for review/sponsoring that would be useful though ;-)

Nice. This is keeping me from Using Ubuntu 12.10.

bwat47 (bwat47) wrote :

I have noticed a problem in 13.04 (which already has these fixes apparently) though. When i get a message and the indicator lights up, it stays blue even after I've read the message (unless I access the message from the indicator itself). Had no such problem in 12.10 + your ppa though.

Dmitry Shachnev (mitya57) wrote :

bwat47: Which app are you talking about?

bwat47 (bwat47) wrote :

pidgin, sorry I meant to mention that! :)

bwat47 (bwat47) wrote :

I put in a bug report for the 13.04 pidgin issue: https://bugs.launchpad.net/ubuntu/+source/pidgin-libnotify/+bug/1113721

Changed in lightread:
importance: Undecided → Medium
status: New → Triaged
Xavier Guillot (valeryan-24) wrote :

Hello,

This bug also affects Gajim chat program.

My comment is a little off topic as it does not concern directly the Gajim debian or Ubuntu package, but a plugin, and here it's a zip plugin not in the repositories:

http://trac-plugins.gajim.org/wiki/UbuntuIntegrationPlugin

I opened a bug in the right Gajim plugin tracker, but initial developer is not interested anymore to maintain it, and nobidy else answered nor corrected the bug.

http://trac-plugins.gajim.org/ticket/14

So for the moment there is no solution on Ubuntu 12.10 and 13.04 for Gajim integration in Messaging menu. As it is a well-known opensource soft, I send a message here: if someone knows how and wants to help solving this bug in Gajim Ayatana Integration plugin, thanks in advance !

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liferea - 1.8.10-0ubuntu2

---------------
liferea (1.8.10-0ubuntu2) raring; urgency=low

  * Port to messaging-menu. (LP: #1040259)
 -- Dmitrijs Ledkovs <email address hidden> Mon, 25 Mar 2013 16:55:30 +0000

Changed in liferea (Ubuntu):
status: Triaged → Fix Released
Changed in evolution-indicator (Ubuntu):
status: Triaged → Fix Released
Changed in guayadeque (Ubuntu):
status: New → Fix Released
Forest (foresto) wrote :

The patch applied to liferea (port-to-messaging-menu.patch) breaks liferea on xubuntu. It prevents the system tray icon from appearing, thereby making liferea inaccessible when minimized or started in a minimized state (as is the case for most people who let it auto-start at login time).

Here is the changelog entry corresponding to the offending patch:

> liferea (1.8.10-0ubuntu2) raring; urgency=low
>
> * Port to messaging-menu. (LP: #1040259)
> -- Dmitrijs Ledkovs <email address hidden> Mon, 25 Mar 2013 16:55:30 +0000

Mattia Rizzolo (mapreri) wrote :

Invaliding since quantal reaches EOL.

Changed in liferea (Ubuntu Quantal):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.